### Enumeration

# Pango Direction

since: 1.0

#### Declaration

    enum Pango.Direction

#### Description [src]

`PangoDirection` represents a direction in the Unicode bidirectional algorithm.

Not every value in this enumeration makes sense for every usage of `PangoDirection`; for example, the return value of `pango_unichar_direction()` and `pango_find_base_dir()` cannot be `PANGO_DIRECTION_WEAK_LTR` or `PANGO_DIRECTION_WEAK_RTL`, since every character is either neutral or has a strong direction; on the other hand `PANGO_DIRECTION_NEUTRAL` doesn’t make sense to pass to `pango_itemize_with_base_dir()`.

The `PANGO_DIRECTION_TTB_LTR`, `PANGO_DIRECTION_TTB_RTL` values come from an earlier interpretation of this enumeration as the writing direction of a block of text and are no longer used. See `PangoGravity` for how vertical text is handled in Pango.

If you are interested in text direction, you should really use fribidi directly. `PangoDirection` is only retained because it is used in some public apis.

Available since: 1.0

#### Members

`PANGO_DIRECTION_LTR`

  A strong left-to-right direction.

  - Value: `0`
  - Nickname: `ltr`
  - Available since: 1.0
`PANGO_DIRECTION_RTL`

  A strong right-to-left direction.

  - Value: `1`
  - Nickname: `rtl`
  - Available since: 1.0
`PANGO_DIRECTION_TTB_LTR`

  Deprecated value; treated the same as `PANGO_DIRECTION_RTL`.

  - Value: `2`
  - Nickname: `ttb-ltr`
  - Available since: 1.0
`PANGO_DIRECTION_TTB_RTL`

  Deprecated value; treated the same as `PANGO_DIRECTION_LTR`

  - Value: `3`
  - Nickname: `ttb-rtl`
  - Available since: 1.0
`PANGO_DIRECTION_WEAK_LTR`

  A weak left-to-right direction.

  - Value: `4`
  - Nickname: `weak-ltr`
  - Available since: 1.0
`PANGO_DIRECTION_WEAK_RTL`

  A weak right-to-left direction.

  - Value: `5`
  - Nickname: `weak-rtl`
  - Available since: 1.0
`PANGO_DIRECTION_NEUTRAL`

  No direction specified.

  - Value: `6`
  - Nickname: `neutral`
  - Available since: 1.0